Debian Bug report logs - #626043
gpsk31: Add hint for loading snd_pcm_oss kernel module

version graph

Package: gpsk31; Maintainer for gpsk31 is Debian QA Group <packages@qa.debian.org>; Source for gpsk31 is src:gpsk31.

Reported by: Márton Németh <nm127@freemail.hu>

Date: Sun, 8 May 2011 08:36:01 UTC

Severity: wishlist

Tags: patch

Found in version gpsk31/0.5-4

Fixed in version gpsk31/0.5-6

Done: Daniel Echeverry <epsilon77@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, nm127@freemail.hu, Debian QA Group <packages@qa.debian.org>:
Bug#626043; Package gpsk31. (Sun, 08 May 2011 08:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Márton Németh <nm127@freemail.hu>:
New Bug report received and forwarded. Copy sent to nm127@freemail.hu, Debian QA Group <packages@qa.debian.org>. (Sun, 08 May 2011 08:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Márton Németh <nm127@freemail.hu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gpsk31: Add hint for loading snd_pcm_oss kernel module
Date: Sun, 08 May 2011 10:32:31 +0200
Package: gpsk31
Version: 0.5-4
Severity: wishlist
Tags: patch


When the sound device /dev/dsp does not exists gpsk31 reports the following error message on stderr:

$ ls -la /dev/dsp
ls: cannot access /dev/dsp: No such file or directory
$ gpsk31 
init_audio: can't open /dev/dsp
Cannot initialize audio device: /dev/dsp -1
$ gpsk31 -v
gpsk31 version 0.5

This can be fixed when ALSA sound device exists with loading the snd_pcm_oss kernel module. The attached patch adds a hint to the user how to she/he can try to fix it herself/himself.

$ gpsk31
init_audio: can't open /dev/dsp
Hint: you might want to try to load snd_pcm_oss kernel module
Cannot initialize audio device: /dev/dsp -1


-- System Information:
Debian Release: 6.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-1-686 (SMP w/1 CPU core)
Locale: LANG=hu_HU.UTF-8, LC_CTYPE=hu_HU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gpsk31 depends on:
ii  libatk1.0-0            1.30.0-1          The ATK accessibility toolkit
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared lib
ii  libcairo2              1.8.10-6          The Cairo 2D vector graphics libra
ii  libfontconfig1         2.8.0-2.1         generic font configuration library
ii  libfreetype6           2.4.2-2.1         FreeType 2 font engine, shared lib
ii  libgcc1                1:4.4.5-8         GCC support library
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libgtk2.0-0            2.20.1-2          The GTK+ graphical user interface 
ii  libpango1.0-0          1.28.3-1+squeeze2 Layout and rendering of internatio
ii  libstdc++6             4.4.5-8           The GNU Standard C++ Library v3

gpsk31 recommends no packages.

gpsk31 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#626043; Package gpsk31. (Sun, 08 May 2011 09:45:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Németh Márton <nm127@freemail.hu>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sun, 08 May 2011 09:45:18 GMT) Full text and rfc822 format available.

Message #10 received at 626043@bugs.debian.org (full text, mbox):

From: Németh Márton <nm127@freemail.hu>
To: 626043@bugs.debian.org
Subject: Re: Bug#626043: gpsk31: Add hint for loading snd_pcm_oss kernel module
Date: Sun, 08 May 2011 11:14:38 +0200
[Message part 1 (text/plain, inline)]

[hint_snd_pcm_oss.patch (text/x-diff, inline)]
--- gpsk31-0.5/src/server-main.C.orig	2008-06-27 16:50:08.000000000 +0200
+++ gpsk31-0.5/src/server-main.C	2011-05-08 10:18:35.000000000 +0200
@@ -256,6 +256,7 @@
    if (audiofd < 0)
    {
       fprintf (stderr, "init_audio: can't open %s\n", audio_path);
+      fprintf(stderr, "Hint: you might want to try to load snd_pcm_oss kernel module\n");
       return -1;
    }
 

Reply sent to Daniel Echeverry <epsilon77@gmail.com>:
You have taken responsibility. (Sun, 03 Jul 2011 11:51:04 GMT) Full text and rfc822 format available.

Notification sent to Márton Németh <nm127@freemail.hu>:
Bug acknowledged by developer. (Sun, 03 Jul 2011 11:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 626043-close@bugs.debian.org (full text, mbox):

From: Daniel Echeverry <epsilon77@gmail.com>
To: 626043-close@bugs.debian.org
Subject: Bug#626043: fixed in gpsk31 0.5-6
Date: Sun, 03 Jul 2011 11:47:09 +0000
Source: gpsk31
Source-Version: 0.5-6

We believe that the bug you reported is fixed in the latest version of
gpsk31, which is due to be installed in the Debian FTP archive:

gpsk31_0.5-6.debian.tar.gz
  to main/g/gpsk31/gpsk31_0.5-6.debian.tar.gz
gpsk31_0.5-6.dsc
  to main/g/gpsk31/gpsk31_0.5-6.dsc
gpsk31_0.5-6_i386.deb
  to main/g/gpsk31/gpsk31_0.5-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 626043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Echeverry <epsilon77@gmail.com> (supplier of updated gpsk31 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 18 Jun 2011 16:57:48 -0500
Source: gpsk31
Binary: gpsk31
Architecture: source i386
Version: 0.5-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Daniel Echeverry <epsilon77@gmail.com>
Description: 
 gpsk31     - GTK-based psk31
Closes: 626043
Changes: 
 gpsk31 (0.5-6) unstable; urgency=low
 .
   * QA upload.
   * Add hint  for loading snd_pcm_oss. Closes: #626043
     + Thanks to Nemeth Marton for the patch.
   * debian/control
     + Bumped standard versions 3.9.2 (no changes)
   * Switch from override_* targets to files in debian/
   * Added Homepage field
Checksums-Sha1: 
 73df463210410aaeb376aa22455d9faab99b476d 1328 gpsk31_0.5-6.dsc
 0adb1ab749ce30c221b2e75ab5210622d93d9d4f 5365 gpsk31_0.5-6.debian.tar.gz
 c9b8ce14709166be172c9fb4ba7dc78534872d1f 66656 gpsk31_0.5-6_i386.deb
Checksums-Sha256: 
 5a2b5acbd38a79c6551e9940caf929f1facf1915429332f592029f324eb81fa1 1328 gpsk31_0.5-6.dsc
 39c8d0b59c10ef479f2cc90da4cc14db2967e4d45b103d817da96a1b2c3f94b2 5365 gpsk31_0.5-6.debian.tar.gz
 915dc3e8d58bd24305c37fdfcdbabb68cc3e24cad181ac702867b2613959b687 66656 gpsk31_0.5-6_i386.deb
Files: 
 1d021fed508d171c9a507e34bae9ac99 1328 hamradio optional gpsk31_0.5-6.dsc
 479da8f379c8f73a2f9ad0751656fdfd 5365 hamradio optional gpsk31_0.5-6.debian.tar.gz
 3457ee2d29587b5d8c1562a9ab4196d5 66656 hamradio optional gpsk31_0.5-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJOEFNkAAoJEEmrPP2rYrC4rOgH/ROE3rsLGjXxuyoegJ+SsV5D
BkL+E8sfPjkBlsv8TzozMQT5+P8TvulWI3FYzGNjBDcyswrE61ulsvbDywWJ/Qmg
S4oOPSlydURAeR5ukBEjLlGd3quqGWPc8VYgtmc/5GuVCoVubvfctq2Ms1Q1TYSe
T998nuG8nF9G+wtAdgnLDbRrfSpQtogd/+R7vDOI+B8C334kllxXmt4k4TUIl65y
Hy1f9+v2aMZEipiYsppDSOyOQjcEUaovEji18crevWFriySS5GPAtBySM2W16+7r
VwJkwbfGJqm3HxG6i5zaofetYJUePXupEkwQxPzwrYbR3KwmoIvvz9rz9uKud94=
=0Ts3
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Aug 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:05:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.